org.apache.hadoop.yarn.webapp.view

## Class HtmlBlock

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.View
  - - org.apache.hadoop.yarn.webapp.view.TextView
    - - org.apache.hadoop.yarn.webapp.view.HtmlBlock

- All Implemented Interfaces:
    Params, SubView
  Direct Known Subclasses:
    AggregatedLogsBlock, AggregatedLogsNavBlock, FooterBlock, HeaderBlock, InfoBlock, JQueryUI, LipsumBlock, LogAggregationHtmlBlock, NavBlock

      @InterfaceAudience.LimitedPrivate(value={"YARN","MapReduce"})
      public abstract class HtmlBlock
      extends TextView
      implements SubView

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `HtmlBlock.Block`

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

      `View.ViewContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `UNAVAILABLE`

    - ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

      `LOG`

    - ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

      `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HtmlBlock()`
    `protected` | `HtmlBlock(View.ViewContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hadoop.security.UserGroupInformation` | `getCallerUGI()`
    `void` | `render()` The API to render the view
    `protected abstract void` | `render(HtmlBlock.Block html)` Render a block of html.
    `void` | `renderPartial()` render the sub-view

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

      `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

      `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root_url, root, set, setTitle, setTitle, status, url`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNAVAILABLE

          protected static final String UNAVAILABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlBlock

          protected HtmlBlock()

    - #### HtmlBlock

          protected HtmlBlock(View.ViewContext ctx)

  - ### Method Detail

    - #### render

          public void render()

      Description copied from class: `View`
      The API to render the view
      Specified by:
        `render` in class `View`

    - #### renderPartial

          public void renderPartial()

      Description copied from interface: `SubView`
      render the sub-view
      Specified by:
        `renderPartial` in interface `SubView`

    - #### render

          protected abstract void render(HtmlBlock.Block html)

      Render a block of html. To be overridden by implementation.
      Parameters:
        `html` - the block to render

    - #### getCallerUGI

          protected org.apache.hadoop.security.UserGroupInformation getCallerUGI()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.